package cn.estsh.i3plus.core.apiservice.controller.busi;

import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.base.enumutil.ImppEnumUtil;
import cn.estsh.impp.framework.boot.util.ResultBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Arrays;

/**
 * @Description : 系统对外枚举服务
 * @Reference :
 * @Author : wei.peng
 * @Date : 2018-10-22 15:58
 * @Modify :
 **/
@RestController
@RequestMapping("/enum")
@Api(description = "系统枚举服务")
public class EnumController {

    @GetMapping("/method-level")
    @ApiOperation(value = "功能类型", notes = "查询全部功能类型功能")
    public ResultBean getEnumMethodLevel(){
         return new ResultBean(true, "操作成功",
                 Arrays.asList(CommonEnumUtil.METHOD_LEVEL.values()));
    }

    @GetMapping("/data-status")
    @ApiOperation(value = "数据功能状态", notes = "查询全部数据状态功能")
    public ResultBean getEnumDataStatus(){
        return new ResultBean(true, "操作成功",
                Arrays.asList(CommonEnumUtil.DATA_STATUS.values()));
    }

    @GetMapping("/organize-type")
    @ApiOperation(value = "组织类型", notes = "查询全部组织类型功能")
    public ResultBean getEnumOrganizeType(){
        return new ResultBean(true, "操作成功",
                Arrays.asList(ImppEnumUtil.ORGANIZE_YTPE.values()));
    }

    @GetMapping("/task-method-type")
    @ApiOperation(value = "任务类型", notes = "查询全部任务类型功能")
    public ResultBean getTaskMethodType(){
        return new ResultBean(true, "操作成功",
                Arrays.asList(ImppEnumUtil.TASK_METHOD_TYPE.values()));
    }

    @GetMapping("/user-type")
    @ApiOperation(value = "用户类型", notes = "查询全部用户类型功能")
    public ResultBean getUserType(){
        return new ResultBean(true, "操作成功",
                Arrays.asList(CommonEnumUtil.USER_TYPE.values()));
    }

    @GetMapping("/user-status")
    @ApiOperation(value = "用户状态", notes = "查询全部用户状态功能")
    public ResultBean getUserStatus(){
        return new ResultBean(true, "操作成功",
                Arrays.asList(CommonEnumUtil.USER_STATUS.values()));
    }

}
